Fund Virtual Card
curl --request POST \
--url https://api.laikipay.com/v1/merchant/cards/{id}/fund \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.laikipay.com/v1/merchant/cards/{id}/fund"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.laikipay.com/v1/merchant/cards/{id}/fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.laikipay.com/v1/merchant/cards/{id}/fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.laikipay.com/v1/merchant/cards/{id}/fund"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.laikipay.com/v1/merchant/cards/{id}/fund")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.laikipay.com/v1/merchant/cards/{id}/fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyVirtual Cards API
Fund Virtual Card
Deposit funds into a virtual card from your merchant USD vault
POST
/
cards
/
{id}
/
fund
Fund Virtual Card
curl --request POST \
--url https://api.laikipay.com/v1/merchant/cards/{id}/fund \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.laikipay.com/v1/merchant/cards/{id}/fund"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.laikipay.com/v1/merchant/cards/{id}/fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.laikipay.com/v1/merchant/cards/{id}/fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.laikipay.com/v1/merchant/cards/{id}/fund"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.laikipay.com/v1/merchant/cards/{id}/fund")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.laikipay.com/v1/merchant/cards/{id}/fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAdd funds directly to an active virtual card from your merchant USD balance vault.
Response (
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Bearer <accessToken> |
Content-Type | string | application/json |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Virtual card ID (crd_...) or unique reference. |
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
amount | number | Yes | Funding amount in USD (minimum $1.00). |
Request Example
cURL
curl -X POST "https://api.laikipay.com/v1/merchant/cards/crd_8f921ab0c1/fund" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
-H "Content-Type: application/json" \
-d '{
"amount": 25.00
}'
Response (200 OK)
{
"status": "success",
"data": {
"message": "Virtual card successfully funded",
"card": {
"id": "crd_8f921ab0c1",
"cardType": "VIRTUAL",
"cardBrand": "VISA",
"maskedPan": "411111******1111",
"nameOnCard": "Alex Morgan",
"balanceAmount": 75.0,
"currency": "USD",
"status": "ACTIVE",
"createdStatus": "COMPLETED",
"reference": "CRD_ORD_001",
"billingAddress": {
"street": "100 Financial District Blvd",
"city": "New York",
"state": "NY",
"postalCode": "10005",
"country": "US"
},
"colorTheme": "Midnight Black",
"createdAt": "2026-10-12T07:05:00.000Z",
"updatedAt": "2026-10-12T07:28:00.000Z"
}
},
"timestamp": "2026-10-12T07:28:01.000Z",
"path": "/api/v1/merchant/cards/crd_8f921ab0c1/fund"
}

